﻿Shader "CD_R00M_Mats/unlitParticleCustom"
{
    Properties
    {
        _MainTex ("Texture", 2D) = "white" {}
		_AlphaBoost("Alpha Boost", Float)=0
    }
    SubShader
    {
        Tags { "RenderType"="transparent" "Queue"="transparent" }
		Blend SrcAlpha One
		ZWrite Off
		//Cull Off
        LOD 100

        Pass
        {
            CGPROGRAM
            #pragma vertex vert
            #pragma fragment frag
            // make fog work
            #pragma multi_compile_fog

            #include "UnityCG.cginc"

            struct appdata
            {
                float4 vertex : POSITION;
                float2 uv : TEXCOORD0;
				float4 color : COLOR;
            };

            struct v2f
            {
                float2 uv : TEXCOORD0;
                UNITY_FOG_COORDS(1)
                float4 vertex : SV_POSITION;
				float4 color : COLOR;
            };

            sampler2D _MainTex;
            float4 _MainTex_ST;

			float _AlphaBoost;

            v2f vert (appdata v)
            {
                v2f o;
                o.vertex = UnityObjectToClipPos(v.vertex);
				o.color = v.color;
                o.uv = TRANSFORM_TEX(v.uv, _MainTex);
                UNITY_TRANSFER_FOG(o,o.vertex);
                return o;
            }

            fixed4 frag (v2f i) : SV_Target
            {
                // sample the texture
                fixed4 col = tex2D(_MainTex, i.uv);
                // apply fog
                UNITY_APPLY_FOG(i.fogCoord, col);
				fixed4 newCol = col * i.color;
                return fixed4(newCol.rgb, newCol.a*_AlphaBoost);
            }
            ENDCG
        }
    }
}
